%define upstream_name    Math-Prime-FastSieve
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Generate a list of all primes less than or equal
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Inline)
BuildRequires: perl(Inline::C)
BuildRequires: perl(Inline::CPP)
BuildRequires: perl(Test::More)

%description
This module provides an optimized implementation of the Sieve of
Eratosthenes, and uses it to return a reference to an array all primes up
to any integer specified, within the limitations of addressable memory.

Additionally the module provides access to other Prime-related functions
that are facilitated as a by-product of having a really fast Prime Sieve.

At the time of writing, the 'primes' function will return all primes up to
and including '$n' faster than any other module I can find on CPAN
(including Math::Prime::XS). While a segmented sieve (which this isn't)
would extend the range of primes accessible, the fact that this module uses
a bit-sieve means that primes over a billion are easily within reach of
most modern systems.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.190.0-3.mga6
+ Revision: 1029743
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.190.0-2.mga6
+ Revision: 957748
- Mageia 6 Mass Rebuild

* Wed Jul 08 2015 shlomif <shlomif> 0.190.0-1.mga6
+ Revision: 852798
- Add BR
- Importing perl-Math-Prime-FastSieve


* Sat Feb 22 2014 cpan2dist 0.19-1mga
- initial mageia release, generated with cpan2dist
